IgnoredPropertyException
Date: 2016-12-04

com.fasterxml.jackson.databind.exc

## Class IgnoredPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.exc.PropertyBindingException
            - - com.fasterxml.jackson.databind.exc.IgnoredPropertyException

- All Implemented Interfaces:
    java.io.Serializable

      public class IgnoredPropertyException
      extends PropertyBindingException

  Specialized `JsonMappingException` sub-class used to indicate case where an explicitly ignored property is encountered, and mapper is configured to consider this an error.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.exc.PropertyBindingException

      `_propertiesAsString, _propertyIds, _propertyName, _referringClass`

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgnoredPropertyException(com.fasterxml.jackson.core.JsonParser p, java.lang.String msg, com.fasterxml.jackson.core.JsonLocation loc, java.lang.Class<?> referringClass, java.lang.String propName, java.util.Collection<java.lang.Object> propertyIds)`
    `IgnoredPropertyException(java.lang.String msg, com.fasterxml.jackson.core.JsonLocation loc, java.lang.Class<?> referringClass, java.lang.String propName, java.util.Collection<java.lang.Object> propertyIds)` Deprecated. Since 2.7

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IgnoredPropertyException` | `from(com.fasterxml.jackson.core.JsonParser p, java.lang.Object fromObjectOrClass, java.lang.String propertyName, java.util.Collection<java.lang.Object> propertyIds)` Factory method used for constructing instances of this exception type.

    - ### Methods inherited from class com.fasterxml.jackson.databind.exc.PropertyBindingException

      `getKnownPropertyIds, getMessageSuffix, getPropertyName, getReferringClass`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgnoredPropertyException

          public IgnoredPropertyException(com.fasterxml.jackson.core.JsonParser p,
                                  java.lang.String msg,
                                  com.fasterxml.jackson.core.JsonLocation loc,
                                  java.lang.Class<?> referringClass,
                                  java.lang.String propName,
                                  java.util.Collection<java.lang.Object> propertyIds)

      Since:
        2.7

    - #### IgnoredPropertyException

          @Deprecated
          public IgnoredPropertyException(java.lang.String msg,
                                             com.fasterxml.jackson.core.JsonLocation loc,
                                             java.lang.Class<?> referringClass,
                                             java.lang.String propName,
                                             java.util.Collection<java.lang.Object> propertyIds)

      Deprecated. Since 2.7

  - ### Method Detail

    - #### from

          public static IgnoredPropertyException from(com.fasterxml.jackson.core.JsonParser p,
                                      java.lang.Object fromObjectOrClass,
                                      java.lang.String propertyName,
                                      java.util.Collection<java.lang.Object> propertyIds)

      Factory method used for constructing instances of this exception type.
      Parameters:
        `p` - Underlying parser used for reading input being used for data-binding
        `fromObjectOrClass` - Reference to either instance of problematic type ( if available), or if not, type itself
        `propertyName` - Name of unrecognized property
        `propertyIds` - (optional, null if not available) Set of properties that type would recognize, if completely known: null if set can not be determined.